#ifndef __INC_CONTROL__
#define __INC_CONTROL__

/*
 *      Joypad definitions
 */
#define JOY_UP          1
#define JOY_DOWN        2
#define JOY_LEFT        4
#define JOY_RIGHT       8
#define JOY_BUTTONS			0xF0
#define BUTTON_A        0x40
#define BUTTON_B        0x10
#define BUTTON_C        0x20
#define BUTTON_S        0x80

struct Joy{
	uchar key;
	uchar keydown;
	uchar wait;
	uchar initval;
};

extern struct Joy Joypad1;
extern struct Joy Joypad2;

void Ctrl_Init( uchar redundance );
void Ctrl_Read( );
void Ctrl_Wait( );

#endif