#ifndef _INC_MAPPY_
#define _INC_MAPPY_


struct mappyResource{
	ushort	width;
	ushort	height;
	ushort	nbColors;
	ulong		ptrPal;
	ushort	nbTiles;
	ulong		ptrTiles;
	ushort	nbLayers;
	ulong		*maps;
};

struct mappyLevel{
	uchar		idxPal;
	ushort	idxTile;
	ushort  idxLayer;
	ushort  fieldAdr;
	uchar		initX;
	uchar		initY;
	struct mappyResource *data;
};

void mappy_Load( struct mappyLevel *mLevel);

volatile ushort mappy_Width;
volatile ushort mappy_Height;


#endif
