#include "genesis.h"
#include "video.h"
#include "debug.h"
#include "mappy.h"


void mappy_Load( struct mappyLevel *mLevel)
{
	ushort x, y;
	ushort	*curMap;

	Video_SetPal(mLevel->idxPal, (ushort *) mLevel->data->ptrPal);
	
	Video_DoDMA_copy( mLevel->data->ptrTiles, (mLevel->idxTile*32), (32*mLevel->data->nbTiles));
	
	curMap = (ushort *) mLevel->data->maps[ mLevel->idxLayer ];
	for(y=0; y < mLevel->data->height; y++)
	{
		for(x=0; x< mLevel->data->width; x++)
		{
			// 1+ => skip first empty
			Video_Tile(mLevel->initX + x, mLevel->initY + y, (mLevel->idxPal<<13) | mLevel->idxTile+curMap[y*mLevel->data->width + x], mLevel->fieldAdr);
		}
	}
	
	mappy_Width = mLevel->data->width;
	mappy_Height = mLevel->data->height;	
}